<?php
/**
 * Created for Schaffen IT.
 * User: Wellington Lima
 */

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;

class ProductVarietyIndirectCost extends Model
{

    protected $connection = 'dynamicdb';
    protected $table = "produto.produto_variedade_custo_indireto";
    protected $primaryKey = "pvci_codigo";
    protected $fillable = [
        "pvci_codigo",
        "pvci_valor",
        "pvci_percentual",
        "pvci_date_insert",
        "pvci_user_insert",
        "pvci_date_update",
        "pvci_user_update"
    ];
    const CREATED_AT = "pvci_date_insert";
    const CREATED_BY = "pvci_user_insert";
    const UPDATED_AT = "pvci_date_update";
    const UPDATED_BY = "pvci_user_update";

  
    public function product_variety(){
        return $this->belongsTo(ProductVariety::class, 'pvci_fk_prv_codigo');
    }

    public function indirect_cost(){
        return $this->belongsTo(IndirectCost::class, 'pvci_fk_ci_codigo');
     }

}
