<?php


namespace Schaffen\Core\User\Managers;


use Carbon\Carbon;
use Schaffen\Core\Product\Repositories\InventoryRepository;
use Schaffen\Core\User\Repositories\UserRepository;
use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;

class UserManager extends ManipulationManager
{
    protected $repository;

    public function __construct(UserRepository $repository, InventoryRepository $inventory_repository)
    {
        $this->repository = $repository;
        $this->inventory_repository = $inventory_repository;
    }


    public function getDadosUsuarioLogado()
    {
        $usu_codigo = auth()->user()->usu_codigo;
        $user = $this->repository->find(['usu_codigo' => $usu_codigo], ['pessoa', 'funcionario']);

        $local_estoque = $this->inventory_repository->first([
            'loe_fk_pes_codigo' => $user[0]->usu_fk_pes_codigo,
            'fun_fk_fil_codigo' => $user[0]->funcionario->fun_fk_fil_codigo
        ]);

        if (!$local_estoque) {
            $values['loe_descricao'] = $user[0]->usu_fk_pes_codigo . " - " . $user[0]->pessoa->pes_nome;
            $values['loe_status'] = 1;
            $values['loe_fk_pes_codigo'] = $user[0]->usu_fk_pes_codigo;
            $values['loe_fk_fil_codigo'] = $user[0]->funcionario->fun_fk_fil_codigo;
            $values['loe_tipo'] = "FUNCIONARIO";
            $values['loe_date_insert'] = Carbon::now();
            $values['loe_user_insert'] = $user[0]->pessoa->pes_nome;
            $this->inventory_repository->storeOrUpdate($values);
            $user = $this->repository->find(['usu_codigo' => $usu_codigo], ['pessoa', 'funcionario']);
        }


        return $user;
    }

}
